<?php 

declare(strict_types =1);

namespace MyApp\Entity;
use MyApp\Entity\Chambre;
use MyApp\Entity\Facture;
use MyApp\Entity\Compte;


class Reservation{
    private ?int $id = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $date_reception;
    private string $date_remise;
    private  $id_facture = null;
    private  $id_chambre = null;
    private  $id_compte = null;

    public function __construct(?int $id, string $date_reception, string $date_remise, $id_facture, $id_chambre, $id_compte){
        $this->id = $id;
        $this->date_reception = $date_reception;
        $this->date_remise = $date_remise;
        $this->id_facture = $id_facture;
        $this->id_chambre = $id_chambre;
        $this->id_compte = $id_compte;
    }

    // get pour récuperer des données dans la BDD
    public function getId():?int{
        return $this->id;
    }
    public function setId(?int $id):void{
        $this->id = $id;
    }
    
    public function getDate_reception():string{
        return $this->date_reception;
    }
    public function setDate_reception(string $date_reception):void{
        $this->date_reception = $date_reception;
    }

    public function getDate_remise():string{
        return $this->date_remise;
    }
    public function setDate_remise(string $date_remise):void{
        $this->date_remise = $date_remise;
    }

    public function getId_facture(){
        return $this->id_facture;
    }
    public function setId_facture( $id_facture):void{
        $this->id_facture = $id_facture;
    }

    public function getId_chambre(){
        return $this->id_chambre;
    }
    public function setId_chambre( $id_chambre):void{
        $this->id_chambre = $id_chambre;
    }

    public function getId_compte(){
        return $this->id_compte;
    }
    public function setId_compte($id_compte):void{
        $this->id_compte = $id_compte;
    }


}
